/**
 * RoleClassLocatedEntity.java
 *
 * File generated from the medication::RoleClassLocatedEntity uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassLocatedEntity.
 *
 * 
 */

@XmlType(name = "RoleClassLocatedEntity")
@XmlEnum
@XmlRootElement(name = "RoleClassLocatedEntity")
public enum RoleClassLocatedEntity {
	@XmlEnumValue("LOCE")
	LOCE("LOCE"),
	@XmlEnumValue("STOR")
	STOR("STOR");
	
	private final String value;

    RoleClassLocatedEntity(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassLocatedEntity fromValue(String v) {
        for (RoleClassLocatedEntity c: RoleClassLocatedEntity.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}